 <div >
    <div style="display: flex; gap:20px;">
        <button (click)='history.push({curret:offset,clicked:5,newvalue:offset+5});offset = offset+5;'type="button" class="btn btn-primary">B1</button>
        <button (click)='history.push({curret:offset,clicked:10,newvalue:offset+10});offset = offset+10;'type="button" class="btn btn-primary">B2</button>
        <button (click)='history.push({curret:offset,clicked:15,newvalue:offset+15});offset = offset+15;'type="button" class="btn btn-primary">B3</button>
        </div>
        <div style="display: flex; gap:20x; margin-top:20px;">
            <p>B1=5</p>
            <p>B1=10</p>
            <p>B1=15</p>
        </div>
        <div>
            counter value:{{offset}}
        </div>
        <div>
            <p style="font-size: 20px;font-family: Arial, Helvetica, sans-serif;">History:</p>
            <p *ngFor="let number of history">
                {{number | json}}
            </p>
        </div>
</div>




